%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(version.pm) perl(Image/ExifTool.pm)
# END SourceDeps(oneline)
%define module_version v0.0.4
%define module_name Image-ExifTool-Location
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.4
Release: alt1
Summary: Easy setting, getting of an image's location information
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AN/ANDYA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`Image::ExifTool' is a versatile module for reading and writing EXIF
data in a number of image formats. This module extends its interface
adding methods that simplify the reading and writing of GPS location
information.

Without this module the interface for working with GPS location
information is cryptic. To store latitude and longitude a total of four
EXIF values are used - two to store the latitude and longitude in
degrees, minutes and seconds format and two to store the hemisphere
(north / south, east / west).

This module replaces that cryptic interface with simple calls
(`GetLocation' and `SetLocation') that take care of encoding and
decoding the latitude and longitude values correctly.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/I*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1
- initial import by package builder

